Page MenuHomePhabricator

After viewing a 3D file, all files viewed afterwards are displayed as "3D"
Closed, ResolvedPublic

Description

After opening a 3D file in the Media Viewer, all files viewed afterwards (even after closing the Viewer first) will be displayed as "3D".

3D image:


2D images opened next:

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJun 29 2018, 6:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy added a project: 3D.Jun 29 2018, 5:10 PM
Ramsey-WMF triaged this task as High priority.
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 443775 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/3D@master] Unload 3D adjustments when leaving 3D images in MMV

https://gerrit.wikimedia.org/r/443775

Looks fixed to me, merged.

Change 443775 merged by jenkins-bot:
[mediawiki/extensions/3D@master] Unload 3D adjustments when leaving 3D images in MMV

https://gerrit.wikimedia.org/r/443775

MarkTraceur closed this task as Resolved.Jul 30 2018, 4:13 PM
TheDJ awarded a token.Aug 3 2018, 6:32 PM